<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="utf-8">
    <title>Demografiske data</title>
    <link rel="stylesheet" type="text/css" href="style.css">    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</head>
<body>
<div class="container" id="content">
<a href='index.php'>Tilbake til forsiden</a>
<?php 
include 'functions.inc.php';
if (!empty($_POST)) {

    $fornavn = $_POST['fornavn'];
    $farsnavn = $_POST['farsnavn'];
    $fodselsaar = $_POST['fodselsaar'];
    $sql = 
        "SELECT *, (levenshtein(Fornavn, '$fornavn') + levenshtein(Farsnavn, '$farsnavn')) as avstand FROM personerFraKilder 
        WHERE 
        (LEFT(FodselsAar, 4) LIKE LEFT('$fodselsaar', 4) OR FodselsAar IS NULL OR IF((levenshtein(Fornavn, '$fornavn') + levenshtein(Farsnavn, '$farsnavn')) < 2, TRUE, FALSE)) 
        AND NOT(fornavn IS NULL AND Farsnavn IS NULL AND FodselsAar IS NULL) 
        ORDER BY avstand ASC 
        LIMIT 100";



    echo "<h1>Resultat</h1>";    
    echo "<h3>Søkte etter $fornavn $farsnavn, født året $fodselsaar.</h3>";


    $result = ($connection-> query($sql));

    if($result-> num_rows > 0) {
    echo "<table class='table table-striped table-bordered table-responsive'>";
    echo "<th></th>";    
    tableHeader("personerFraKilder");
    echo "<th>Avstand</th>";    

    while($row = $result-> fetch_assoc()) {
        echo "<tr>";
        $table = $row["KildeType"];
        $ID = $row["KildeID"];
        $link = "result.php?table=$table&ID=$ID";
        echo "<td><a href='$link' class='btn btn-secondary'>Se kilden</a></td>";

            
        foreach ($row as &$value) {
            echo "<td>" . $value . "</td>";
        }
        echo "</tr>";
    }
    }
    else {
    echo "Ingen resultater.";
    }
}
else {header("Location:searchPerson.php");}
?>
</div>
</body>
</html>


