<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="utf-8">
    <title>Demografiske data</title>
    <link rel="stylesheet" type="text/css" href="style.css">    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <?php
    include 'functions.inc.php';
    ?>
</head>
<body>

<div class="container" id="content">
<a href='index.php'>Tilbake til forsiden</a>
<h1>Søk i databasen</h1>
<?php
#Sjekker om tilkoblingen lykkes
if($connection-> connect_error) {
    die("Tilkobling mislyktes:" . $connection-> connect_error);
}
else {
    #Henter variabelen som avgjør hvilken tabell den skal vise
    if(isset($_GET["table"])){
        $table = $_GET["table"];
        echo "<h3>Fyll inn feltene for å søke i tabellen $table.<h3>";
        echo "<h5>Kun de feltene du fyller ut vil bli brukt i søket. For å søke etter et tomt felt skriver du \"-1\" i det aktuelle feltet.</h5>";
        echo "<form method='get' action='result.php'>";

        #Skjult variabel for å fortelle result.php hvilken tabell den skal søke i
        echo "<input type='hidden' name='table' value='$table'>";

        #
        echo "<table class='table table-striped table-bordered table-responsive'>";
        
        #Skriver ut navnet på alle kolonnene i den rekkefølgen de vises i databasen
        tableHeader("$table");

        #Henter navnet på kolonnene sånn at hver tekstboks skal søke på riktig kolonne i tabellen
        $sql = "SELECT `COLUMN_NAME` 
        FROM `INFORMATION_SCHEMA`.`COLUMNS` 
        WHERE `TABLE_SCHEMA`='slektsdata' 
        AND `TABLE_NAME`='$table'";

        echo "<tr>";

        $result = ($connection-> query($sql));
        if($result-> num_rows > 0) {
        while($row = $result-> fetch_assoc()) {
            echo "<td>";
            echo "<input type='text' name='";
            foreach ($row as &$value) {
                echo $value;
            }
            echo "'>";
            echo "</td>";
            }
        }
        echo "</tr></table>";
        echo "<input type='submit' name='submit' class='btn btn-primary' value='Søk'>";

        $connection-> close();
        }
    else {
        #Feilmelding dersom ingen tabellnavn er oppgitt i URLen.
        echo "Feilmelding: Ingen tabellnavn oppgitt.";
    }   
}
?>
</div>
</body>
</html>




