<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="utf-8">
    <title>Demografiske data</title>
    <link rel="stylesheet" type="text/css" href="style.css">    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <?php
    include 'functions.inc.php';
    ?>
</head>
<body>
<div class="container" id="content">
<a href='index.php'>Tilbake til forsiden</a>
<?php
#Sjekker om tilkoblingen lykkes
if($connection-> connect_error) {
    die("Tilkobling mislyktes:" . $connection-> connect_error);
}
else {
    #Henter variabelen som avgjør hvilken tabell den skal vise
    if(isset($_GET["table"])){
        $table = $_GET["table"];

        echo "<h1>Viser tabell: $table</h1>";
        echo "<table class='table table-striped table-bordered table-responsive'>";

        #Skriver ut navnet på alle kolonnene i den rekkefølgen de vises i databasen
        tableHeader("$table");

        #Henter selve dataene fra tabellen
        $sql = "SELECT * from $table";
        $result = $connection-> query($sql);

        #Skriver ut hver verdi i hver rad som en rute i tabellen
        if($result-> num_rows > 0) {
            while($row = $result-> fetch_assoc()) {
                echo "<tr>";
                foreach ($row as &$value) {
                    echo "<td>" . $value . "</td>";
                }
                echo "</tr>";
            }
            echo "</table>";
        }
        else {
            #Feilmelding dersom tabellen er tom
            echo "</table>";
            echo "Ingen resultater";
        }

        $connection-> close();
        }
    else {
        #Feilmelding dersom ingen tabellnavn er oppgitt i URLen.
        echo "Feilmelding: Ingen tabellnavn oppgitt.";
    }   
}
?>
</div>
</body>
</html>



