<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="utf-8">
    <title>Demografiske data</title>
    <link rel="stylesheet" type="text/css" href="style.css">    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</head>
<body>
<div class="container" id="content">
<?php 
include 'functions.inc.php';


if (!empty($_POST)){
    $variasjon =  $_POST["variasjon"];
    $standardisert = $_POST["standardisert"];
    $sql = "INSERT INTO fornavn(variasjon, standardisert) VALUES ('$variasjon', '$standardisert')";
    $result = ($connection-> query($sql));
    header("Location: fornavnStandardisering");
    exit;   

}
$sql = "SELECT DISTINCT ID, fornavn FROM personerfrakilder WHERE fornavn NOT IN (SELECT variasjon FROM fornavn) LIMIT 1";

$result = ($connection-> query($sql));

if($result-> num_rows > 0) {

    $row = $result-> fetch_assoc();
    $variasjon = $row["fornavn"];
    echo "<form action='fornavnStandardisering.php' method='post'>";
    echo "<table><th>Variasjon</th><th>Standardisert</th>";
    echo "<tr><td><input type='text' name='variasjon' value='$variasjon' readonly></td>";
    echo "<td><input type='text' name='standardisert'></td></tr>";
    echo "<tr><td></td>";
    echo "<td><input type='submit' name='submit' value='Lagre'></td></tr>";
    echo "</table></form>";

    $sql = "SELECT * FROM fornavn ORDER BY levenshtein(standardisert, '$variasjon') ASC";
    echo "<table>";
    tableHeader("fornavn");
    $result = ($connection-> query($sql)); 
    if($result-> num_rows > 0) {
        while($row = $result-> fetch_assoc()) {
                    echo "<tr>";
                    foreach ($row as &$value) {
                        echo "<td>" . $value . "</td>";
                    }
                    echo "</tr>";
        }
        echo "</table>";
    }
    else {
        echo "Ingen resultater.";
    }
        
}
else {
    echo "Ingen resultater, alle navnene er standardiserte!";
}
?>
</div>
</body>
</html>



