<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="utf-8">
    <title>Demografiske data</title>
    <link rel="stylesheet" type="text/css" href="style.css">    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</head>
<body>
<div class="container" id="content">
<a href='index.php'>Tilbake til forsiden</a>
<?php 
    include 'functions.inc.php';
    echo "<h1>Personer</h1>";    
    $sql = "SELECT * FROM personer"; 
    $result = ($connection-> query($sql));

    if($result-> num_rows > 0) {
        echo "<table class='table table-striped table-bordered table-responsive'>";
        echo "<th></th>";    
        tableHeader("personer");
        echo "<th></th>";    

        while($row = $result-> fetch_assoc()) {
            echo "<tr>";
            $ID = $row["ID"];
            echo "<td><a href='showLinks.php?ID=$ID' class='btn btn-secondary'>Se linker</a></td>";
            foreach ($row as &$value) {
                echo "<td>" . $value . "</td>";
            }
            echo "<td><a href='linkPerson.php?ID=$ID' class='btn btn-secondary'>Link kilder</a></td>";
            echo "</tr>";
        }
    }
    else {
    echo "Ingen resultater.";
    }
?>
</div>
</body>
</html>



